Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234019 - High resolution vt (vesa?) is unavailable with xen
Summary: High resolution vt (vesa?) is unavailable with xen
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-xen
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xen Maintainance List
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-26 17:25 UTC by Julian Sikorski
Modified: 2009-12-14 20:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-27 00:02:04 UTC


Attachments (Terms of Use)
My grub.conf (deleted)
2007-03-26 17:50 UTC, Julian Sikorski
no flags Details

Description Julian Sikorski 2007-03-26 17:25:13 UTC
Description of problem:
As per summary, as adding vga=791 changes the terminal resolution to 1024x768
when using normal kernel, it does not work with xen one.

Version-Release number of selected component (if applicable):
2.6.20-1.2933.fc6xen

How reproducible:
always

Steps to Reproduce:
1. yum install kernel-xen
2. add vga=791 to the boot parameters
3. reboot into xen kernel
  
Actual results:
Terminal runs at poor VGA resolution

Expected results:
Terminal uses selected vesa mode

Additional info:
It is especially a problem in case of LCD screens, which would otherwise be able
to run at their native resolution.

Comment 1 Don Dutile 2007-03-26 17:29:09 UTC
Please log/attach your grub.conf entry for this kernel.


Comment 2 Julian Sikorski 2007-03-26 17:50:37 UTC
Created attachment 150921 [details]
My grub.conf

Here you go.

Comment 3 Red Hat Bugzilla 2007-07-25 01:39:57 UTC
change QA contact

Comment 4 ritz 2007-12-10 19:41:24 UTC
i am not a engineer.

If i  xen kernel with options as listed below, i do see a 80x60 console till
linux console loads up ( init prompt on screen )

   console=vga vga=keep vga=text-80x60

keep option does not seem to help.

references thread : 
http://lists.xensource.com/archives/html/xen-tools/2006-04/msg00004.html

Comment 5 Chris Lalancette 2008-02-27 00:02:04 UTC
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks



Note You need to log in before you can comment on or make changes to this bug.